<!DOCTYPE html>
<html lang="en">

<head>
    <title>Quiz App</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="images/favicon.ico" type="image/x-icon">
    <!--Google Icon Font-->
    <link href="http://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!--materialize.css-->
    <link rel="stylesheet" href="/scripts/libraries/materialize/css/materialize.min.css" media="screen,projection">
    <link rel="stylesheet" href="/stylesheets/materialize.additional.css">
    <link rel="stylesheet" href="/stylesheets/styles.css">
</head>

<body class="grey lighten-4 grey-text text-darken-2">
    <script>
        var quizData = '{{{toJSON quizData}}}';
        var Quiz = {};
    </script>
    <div id="loader-wrapper">
        <div id="loader-logo">
            <img src="/images/quiz-logo.svg" alt="logo">
        </div>
    </div>
    <header>
        <nav class="pink darken-4 hide-on-large-only">
            <div class="container container-small">
                <div class="nav-wrapper">
                    <a href="#" data-activates="slide-menu" class="button-collapse"><i class="material-icons">menu</i></a>
                    <span style="font-size: 1.64rem;">Quiz App</span>
                </div>
            </div>
        </nav>
        <ul id="slide-menu" class="side-nav fixed menu-small">
            <li class="logo">
                <img src="/images/quiz-logo.svg" alt="logo">
                <div>
                    <span>{{quizData.quizUser}}</span>
                </div>
            </li>
            <li>
                <a href="javascript: window.history.back(-1);" class="pink darken-4 white-text">
                    <i class="material-icons white-text left">arrow_back</i>
                    <span>Înapoi</span>
                </a>
            </li>
        </ul>
    </header>
    <main>
        <div id="quiz">
            <nav class="nav-extended white pink-text text-accent-4 nav-margin-bottom">
                <div class="nav-wrapper valign-wrapper" style="vertical-align:top">
                    <span class="nav-title quiz-question-nr" style="border-right: 1px solid rgba(0,0,0,0.1);"></span>
                    <span class="nav-title" id="question-title"></span>
                </div>
            </nav>
            <div class="container container-small">
                <div class="card">
                    <div class="card-content no-padding-left no-padding-right">
                        <div id="quiz-data">
                            <div class="row no-margin-bottom" id="quiz-choices-row">
                                <div class="col s12">
                                    <form id="quiz-choices-form">
                                        <div id="choices" class="no-select"></div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-action">
                        <div class="row no-margin-bottom" id="quiz-footer-row">
                            <div class="col s12">
                                <button type="button" id="quiz-prev-btn" class="btn btn-flat blue-grey-text waves-effect waves-dark">
                                    <i class="material-icons left">keyboard_arrow_left</i>
                                    <span>Precedenta</span>
                                </button>
                                <button type="button" id="quiz-next-btn" class="btn btn-flat pink-text text-accent-4 waves-effect waves-light">
                                    <span>Următoarea</span>
                                    <i class="material-icons right">keyboard_arrow_right</i>
                                </button>
                                <button type="button" id="quiz-skip-btn" class="btn btn-flat waves-effect waves-light right tooltipped" data-position="bottom"
                                    data-delay="750" data-html="true" data-tooltip="Reveniți la această întrebare mai târziu">
                                    <span>Salt</span>
                                    <i class="material-icons right">redo</i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="quiz-confirm" class="modal modal-small modal-vertical-centered">
            <div class="modal-content">
                <h4>Confirmare</h4>
                <p class="quiz-confirm-message">Are you sure to proceed?</p>
            </div>
            <div class="modal-footer">
                <a href="#" class="btn btn-flat waves-effect waves-red" id="quiz-confirm-no">Anuleaza</a>
                <a href="#" class="btn btn-flat waves-effect waves-green" id="quiz-confirm-yes">Da</a>
            </div>
        </div>
    </main>
    <footer class="page-footer white">
        <div class="container container-small" id="footer-progress">
            <div class="row">
                <div class="col s12 l8">
                    <div>
                        <span>Progres</span>
                        <span class="right">
                                <span>Întrebarea</span>
                        <span class="quiz-question-nr"></span>
                        <span>din</span>
                        <span class="quiz-questions-total"></span>
                        </span>
                    </div>
                    <div class="progress quiz-progress pink lighten-5" style="height:10px; margin-top: 7px;">
                        <div class="determinate pink darken-3" style="width:0"></div>
                    </div>
                </div>
                <div class="col s6 l2 center">
                    <div>
                        <div class="quiz-countdown">
                            <div class="quiz-countdown-number"></div>
                            <svg>
                                <circle r="25" cx="28" cy="28" class="quiz-countdown-circle"></circle>
                                <circle r="25" cx="28" cy="28" class="quiz-countdown-border"></circle>
                            </svg>
                        </div>
                    </div>
                </div>
                <div class="col s6 l2">
                    <div>
                        <span>Opțiuni</span>
                    </div>
                    <div>
                        <a href="#quiz-confirm" id="quiz-abandon" class="modal-trigger">Renunță</a>
                        <a href="#quiz-confirm" id="quiz-force-finish" class="modal-trigger">Finisează</a>
                    </div>
                </div>
            </div>
        </div>
        <div id="footer-progress"></div>
        <div class="footer-copyright grey lighten-2">
            <div class="container container-small">
                <span class="quiz-topic-name blue-grey-text">{{quizData.topicData.topic}}</span>
                <a class="blue-grey-tex right" href="#!">Ajutor</a>
            </div>
        </div>
    </footer>

    <!--libraries and frameworks-->
    <script type="text/javascript" src="/scripts/libraries/jquery-3.1.1.min.js"></script>
    <script type="text/javascript" src="/scripts/libraries/handlebars-v4.0.5.js"></script>
    <script type="text/javascript" src="/scripts/libraries/materialize/js/materialize.min.js"></script>
    <script type="text/javascript" src="/scripts/libraries/lodash.min.js"></script>
    <script type="text/javascript" src="scripts/libraries/Chart.min.js"></script>

    <!--handlebars precompiled templates-->
    <script src="scripts/hbs-templates/precompiled/title.tmpl.js"></script>
    <script src="scripts/hbs-templates/precompiled/choices.tmpl.js"></script>
    <script src="scripts/hbs-templates/precompiled/final-score.tmpl.js"></script>

    <!--handlebars helpers-->
    <script type="text/javascript" src="scripts/source/helpers.js"></script>

    <!--external scripts-->
    <script type="text/javascript" src="scripts/source/logic.js"></script>
    <script type="text/javascript" src="scripts/source/timer.js"></script>
</body>

</html>